org.apache.poi.openxml4j.opc.internal.marshallers

## Class ZipPartMarshaller

- java.lang.Object
- - org.apache.poi.openxml4j.opc.internal.marshallers.ZipPartMarshaller

- All Implemented Interfaces:
    PartMarshaller

      public final class ZipPartMarshaller
      extends java.lang.Object
      implements PartMarshaller

  Zip part marshaller. This marshaller is use to save any part in a zip stream.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipPartMarshaller()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `marshall(PackagePart part, java.io.OutputStream os)` Save the specified part.
    `static boolean` | `marshallRelationshipPart(PackageRelationshipCollection rels, PackagePartName relPartName, org.apache.commons.compress.archivers.zip.ZipArchiveOutputStream zos)` Save relationships into the part.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipPartMarshaller

          public ZipPartMarshaller()

  - ### Method Detail

    - #### marshall

          public boolean marshall(PackagePart part,
                                  java.io.OutputStream os)
                           throws OpenXML4JException

      Save the specified part.
      Specified by:
        `marshall` in interface `PartMarshaller`
      Parameters:
        `part` - Part to marshall.
        `os` - The output stream into which the part will be marshall.
      Returns:
        false if any marshall error occurs, else true
      Throws:
        `OpenXML4JException` - Throws if an internal exception is thrown.

    - #### marshallRelationshipPart

          public static boolean marshallRelationshipPart(PackageRelationshipCollection rels,
                                                         PackagePartName relPartName,
                                                         org.apache.commons.compress.archivers.zip.ZipArchiveOutputStream zos)

      Save relationships into the part.
      Parameters:
        `rels` - The relationships collection to marshall.
        `relPartName` - Part name of the relationship part to marshall.
        `zos` - Zip output stream in which to save the XML content of the relationships serialization.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.